Bug 504804 - Package search, click on package lists no packages when it should list a package
Package search, click on package lists no packages when it should list a package
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Jay Dobies
wes hayutin
https://grandprix.rhndev.redhat.com/r...
: Regression
Depends On:
Blocks: 457073
  Show dependency treegraph
 
Reported: 2009-06-09 10:48 EDT by wes hayutin
Modified: 2009-09-10 15:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:32:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ss1 (394.88 KB, image/png)
2009-06-09 10:49 EDT, wes hayutin
no flags Details
ss2 (359.97 KB, image/png)
2009-06-09 10:49 EDT, wes hayutin
no flags Details
old 5.2 server w/ correct listing for bash (448.82 KB, image/png)
2009-06-09 10:50 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-06-09 10:48:17 EDT
Description of problem:
Package search, click on package lists no packages when it should list a package

6/5 rhel 5 server

recreate:
1. package search for bash
2. find bash in the list
3. click on bash...

nothing listed

see screenshots
Comment 1 wes hayutin 2009-06-09 10:49:13 EDT
Created attachment 347038 [details]
ss1
Comment 2 wes hayutin 2009-06-09 10:49:34 EDT
Created attachment 347039 [details]
ss2
Comment 3 wes hayutin 2009-06-09 10:50:00 EDT
Created attachment 347040 [details]
old 5.2 server w/ correct listing for bash
Comment 4 Jay Dobies 2009-06-10 13:09:52 EDT
Master
commit	7cb7fbf59d77e765ee95ce65f5a9fb0b4dc7cdce
tree	6821d0a31d1fcc4e63c1a8b63344ce323d25a7bd

Vader
commit	9a30fd5c2a3746f69c38373ff8a09d8f05a18445
tree	fa3f0240da79a7b2e5752201c6402059f6465159

java/code/src/com/redhat/rhn/frontend/action/channel/PackageSearchAction.java

Need to stuff the relevant flag back into the request so it's used in the package name URLs.
Comment 5 wes hayutin 2009-06-15 14:01:33 EDT
verified 6/12
Comment 6 Miroslav Suchý 2009-08-05 05:56:51 EDT
verified in stage
Comment 7 Brandon Perkins 2009-09-10 15:32:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.